curl --request GET \
--url https://{tenantDomain}.conductor.one/api/v1/tasks/{task_id}/spend-remedy-review \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/tasks/{task_id}/spend-remedy-review"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}.conductor.one/api/v1/tasks/{task_id}/spend-remedy-review', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"review": {
"appId": "<string>",
"appIncrease": {
"total": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"appResume": {},
"appliedAt": "2023-11-07T05:31:56Z",
"authorityMatches": true,
"beneficiaryUserId": "<string>",
"blockId": "<string>",
"capturedTarget": {
"absent": {},
"deleted": {
"controls": {
"extension": {
"expiresAt": "2023-11-07T05:31:56Z",
"limit": {
"amount": {
"money": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"blocked": {},
"unlimited": {}
},
"reason": "<string>"
},
"limit": {
"amount": {
"money": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"blocked": {},
"unlimited": {}
},
"period": "PERIOD_KIND_UNSPECIFIED",
"suspension": {
"reason": "<string>",
"suspendedAt": "2023-11-07T05:31:56Z"
}
},
"period": "PERIOD_KIND_UNSPECIFIED",
"version": "<string>"
},
"live": {
"controls": {
"extension": {
"expiresAt": "2023-11-07T05:31:56Z",
"limit": {
"amount": {
"money": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"blocked": {},
"unlimited": {}
},
"reason": "<string>"
},
"limit": {
"amount": {
"money": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"blocked": {},
"unlimited": {}
},
"period": "PERIOD_KIND_UNSPECIFIED",
"suspension": {
"reason": "<string>",
"suspendedAt": "2023-11-07T05:31:56Z"
}
},
"period": "PERIOD_KIND_UNSPECIFIED",
"version": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"currentEffectiveLimit": {
"amount": {
"money": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"blocked": {},
"unlimited": {}
},
"currentTarget": {
"absent": {},
"deleted": {
"controls": {
"extension": {
"expiresAt": "2023-11-07T05:31:56Z",
"limit": {
"amount": {
"money": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"blocked": {},
"unlimited": {}
},
"reason": "<string>"
},
"limit": {
"amount": {
"money": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"blocked": {},
"unlimited": {}
},
"period": "PERIOD_KIND_UNSPECIFIED",
"suspension": {
"reason": "<string>",
"suspendedAt": "2023-11-07T05:31:56Z"
}
},
"period": "PERIOD_KIND_UNSPECIFIED",
"version": "<string>"
},
"live": {
"controls": {
"extension": {
"expiresAt": "2023-11-07T05:31:56Z",
"limit": {
"amount": {
"money": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"blocked": {},
"unlimited": {}
},
"reason": "<string>"
},
"limit": {
"amount": {
"money": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"blocked": {},
"unlimited": {}
},
"period": "PERIOD_KIND_UNSPECIFIED",
"suspension": {
"reason": "<string>",
"suspendedAt": "2023-11-07T05:31:56Z"
}
},
"period": "PERIOD_KIND_UNSPECIFIED",
"version": "<string>"
}
},
"orgIncrease": {
"total": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"orgUnfreeze": {},
"period": "PERIOD_KIND_UNSPECIFIED",
"periodEnd": "2023-11-07T05:31:56Z",
"periodKey": "<string>",
"personalExtension": {
"expiresAt": "2023-11-07T05:31:56Z",
"total": {
"currencyCode": "<string>",
"nanos": 123,
"units": "<string>"
}
},
"personalResume": {},
"reason": "<string>",
"requestPolicyId": "<string>",
"requesterUserId": "<string>",
"taskId": "<string>"
}
}Get Spend Remedy Review
Read requested terms for an eligible independent reviewer or scoped Funds reader. Valid independent decision-makers can read frozen history, not unauthorized current controls.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The taskId field.
Response
Successful response
The TaskServiceGetSpendRemedyReviewResponse message.
SpendRemedyReview is returned only by the separately authorized review endpoint.
This message contains a oneof named change. Only a single field of the following list may be set at a time:
- personalExtension
- personalResume
- appIncrease
- appResume
- orgIncrease
- orgUnfreeze
Show child attributes
Show child attributes
Was this page helpful?